%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Convert-ASCII-Armour
Version:       1.4
Release:       5mamba
Summary:       Convert::ASCII::Armour - Convert binary octets into ASCII armoured messages
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/authors/id/V/VI/VIPUL/Convert-ASCII-Armour-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %PERL_VERSION
BuildRequires: perl-Compress-Zlib
Requires:      perl >= %PERL_VERSION

%description
This perl module converts hashes of binary octets into ASCII messages suitable for transfer over 6-bit clean transport channels.
The encoded ASCII resembles PGP's armoured messages, but are in no way compatible with PGP.

%prep
%setup -q -n Convert-ASCII-Armour-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Aug 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-5mamba
- rebuilt for x86_64

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-4mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-3mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 1.4-2mamba
- spec file fixed and updated

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1qilnx
- first build
